/*
this is run on db.r4.4xlarge in Amazon RDS
tested on v11.4,5,9 and 12.4
16 vCPUs, 8 CPU Cores
122 GB mem
*/
set enable_nestloop = 0;
set enable_parallel_hash to default;
set enable_parallel_append to default;
--explain analyze
select sum(spend), sum(conversions) from (
	select a.campaign_id,

	sum(cast(spend as decimal(12,2))) as spend,

	sum(case when c.buying_type = 10 then actions_1d_view_mobile_app_install end) as conversions

	from 
	(
			select * from fb_ad_activity_daily where logdate between '11/01/2019' and '11/5/2019' and account_id in (128091690677840,205971526867688,183647115790295)
			union all 
			select * from fb_ad_activity_daily_archive where logdate between '11/01/2019' and '11/5/2019' and account_id in (128091690677840,205971526867688,183647115790295)
	)
	 a
	inner join fb_campaigns c on a.campaign_group_id=c.id

	where a.logdate between '11/01/2019' and '11/5/2019' and a.account_id in (128091690677840,205971526867688,183647115790295) 

	group by a.campaign_id
) x
